Subject: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Drew Adams <[email-masked]>
Date: Sun, 24 Dec 2017 10:40:10 -0800 (PST)

> > There are two links in node `Sequence Functions' that are labeled
> > `Definition of nth'.  The context suggests that by following them you
> > find information about `aref' and `nth'.  But they take you instead to
> > node `Building Lists', which does not mention either `aref' or `nth'
> and
> > does not seem to help with the origin context.
> 
> I cannot reproduce this: when I follow those 2 references, I land on
> the definition of 'nth'.  I tried Emacs 26.0.90 and the current
> release branch, and the Info files produced both for 26.0.90 and the
> current branch.
> 
> Is it possible that the Info files you have installed have DOS CR-LF
> EOLs?  (If they do, you will see it in the mode line, where the EOL
> format indicator is shown.)  If so, they were produced incorrectly,
> and to fix them, you need to convert them to Unix EOL format.

I see this in Emacs _releases_, with `emacs -Q', starting
with Emacs 24.5 - no such problem with Emacs 24.4 or prior.

I also see it with Emacs 26 and 27 pretests (with `emacs -Q').

> > This is a regression introduced in Emacs 24.  In Emacs 23 those links
> > take you to the description of function `nth' in node `List Elements'.
> 
> Emacs was changed to adapt to how the latest Texinfo versions produce
> Info files on MS-Windows.  Maybe your Info files were produced by an
> old version of makeinfo, and that no longer fits what Emacs expects.

No idea.  But for Emacs 24.5 and 25.3.1, they are
the released Windows binaries from GNU Emacs.  For the
pretests they are those from GNU Emacs.

For example, this release build:

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'